%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	fax

Name:		freepbx-%{rawname}
Version:	16.0.13
Release:	2%{?dist}
Summary:	Fax Configuration

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Patch0:		freepbx-fax_16.0.13_nochown.patch

Requires:	freepbx-userman >= 13.0

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Adds configurations, options and GUI for inbound faxing

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin sbin etc astetc images sounds moh hooks ; do
        [ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done
[ -e assets/less ] && echo presente assets/less, va gestito && exit 1

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/bin
%{__install} -m0755 bin/* %{buildroot}%{_datadir}/asterisk/bin

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/bin/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Mon Apr 03 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Mon Dec 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.10
- Updated version

* Thu Nov 03 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.9
- Updated version

* Wed May 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.7
- Updated version

* Mon Mar 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.4
- Initial build
